Subject: Re: bug#62562: 30.0.50; [PATCH] Some new SVG icons

From: Juri Linkov <[email-masked]>
Date: Sun, 27 Aug 2023 20:27:44 +0300

close 62562 30.0.50
thanks

>>>>> Looks nice! BTW, how could I apply a mouse-face to the buttons in the
>>>>> tab-bar? I poked around and mouse-face doesn’t seem to take an effect?
>>>>
>>>> Currently mouse-face is not supported neither by define-icon not by tab-bar.
>>>
>>> Ah, I see.  How are the buttons implemented then?  If I move my
>>> pointer on top of it, it shows the “pressed” face.  I’m trying to
>>> style the buttons on the tab-bar.
>>
>> Mouse pointer hovering is handled in 'note_tab_bar_highlight' by using
>> DRAW_IMAGE_SUNKEN.  But you could try to style the image attributes
>> such as :margin and :ascent in define-icon.
>
> The tab line has a different implementation

Now changes to use new icons in the tab-bar and tab-line
are pushed to master.  We have plenty of time to test
these changes before the next release.